module OpenvasCli
  # Continer for all cusom exceptions used in openvas-cli.
  module VasExceptions
    # Thrown when the OpenVAS management service rejects a command for some reason.
    class CommandException < StandardError; end
    # Thrown when some sort of communications error (like a timeout or unexpected
    # end-of-file) is encountered.
    class CommunicationException < StandardError; end
    
    class RecordNotSaved < StandardError; end
  end
end
