Dir[File.expand_path(File.join(File.dirname(__FILE__), "openvas-cli")) + "/**/*.*"].each { |f| require f }

module OpenvasCli
  def self.configuration
    @configuration ||= OpenvasCli::Configuration.new
  end
  
  def self.configure
    yield configuration if block_given?
  end
  
  def self.logger
    @logger
  end
  
  def self.logger=(val)
    @logger = val
  end
end
