require 'vas_connection'
module OpenvasCli
  module ConnAddin
    def self.included(base)
      base.send :extend, ClassMethods
    end
    
    module ClassMethods
      def has_vas_connection(connection_type=:manager)
        @@config = {:password => "Password"}
        if connection_type == :manager
          @@config[:port] = 9390
        elsif connection_type == :administrator
          @@config[:port] = 9393
        end
      end
      
      def establish_connection
        VasConnection.new(@@config)
      end
      
      def connection
        @@connection ||= establish_connection
      end
    end
  end
end
