require 'active_model'

module OpenvasCli
  class ImmutableChildrenValidator < ActiveModel::Validator
    def validate(record)
      if record.id
        record.errors[:base] << "Configuration cannot change after creation." \
          if record.config_id_changed?
          
        record.errors[:base] << "Target cannot change after creation." \
          if record.target_id_changed? || record.target.changed?
      end
    end
  end
end
